#!/bin/bash

# Název archivu
ARCHIVE_NAME="phanpy-cz"

# Vytvoření seznamu souborů k vyloučení
echo "README.md" > .exclude
echo "LICENSE" >> .exclude
echo "create_release.sh" >> .exclude

# Vytvoření .tar.gz archivu
tar --exclude-from=.exclude -czvf $ARCHIVE_NAME.tar.gz .

# Vytvoření .zip archivu
zip -r $ARCHIVE_NAME.zip . -x@.exclude

# Odstranění dočasného souboru .exclude
rm .exclude

echo "Archivy byly vytvořeny:"
echo "$ARCHIVE_NAME.tar.gz"
echo "$ARCHIVE_NAME.zip"
